Bug 1125084 - httpd uses libsystemd-daemon.so instead of the new libsystemd.so
Summary: httpd uses libsystemd-daemon.so instead of the new libsystemd.so
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: httpd
Version: 21
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jan Kaluža
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-31 03:58 UTC by Zbigniew Jędrzejewski-Szmek
Modified: 2015-07-20 11:57 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-07-20 11:57:12 UTC


Attachments (Terms of Use)

Description Zbigniew Jędrzejewski-Szmek 2014-07-31 03:58:24 UTC
Description of problem:
httpd and httpd-tools uses '-lsystemd-daemon' but should switch to '-lsystemd'.
This causes it to require systemd-compat-libs, containing systemd libraries with historical names.

For longer explanation see http://www.spinics.net/lists/fedora-devel/msg200853.html.

Version-Release number of selected component (if applicable):
httpd-0:2.4.10-1.fc21.x86_64

Comment 1 Joe Orton 2014-07-31 07:44:53 UTC
Is it OK if we still use `pkg-config --libs libsystemd-daemon` to link against -lsystemd or will that stop working eventually?

Comment 2 Zbigniew Jędrzejewski-Szmek 2014-07-31 07:52:55 UTC
(In reply to Joe Orton from comment #1)
> Is it OK if we still use `pkg-config --libs libsystemd-daemon` to link
> against -lsystemd or will that stop working eventually?
The plan is to get rid of that eventually, but not in the near future.

The reason is that currently systemd-devel pulls in the systemd-compat-libs, so that builds don't break (i.e. if the dependency on systemd-devel was enough before, it is still enough, even if you're linking to the compat names). But at some point I want to move those .so links from systemd-devel to systemd-compat-libs, and at the same time the compat .pc files would be moved.

Comment 3 Joe Orton 2014-07-31 08:03:59 UTC
Thanks for that.  

I'll leave this for jkaluza to who is back next week to apply to Fedora httpd, since the patches we have seem to duplicate the systemd checks and I'm not sure what is going on there precisely.

Fixed upstream as follows:

http://svn.apache.org/viewvc?view=revision&revision=1614821
http://svn.apache.org/viewvc?view=revision&revision=1614823

Comment 5 Jan Kaluža 2014-08-22 11:47:43 UTC
... And also in F21.

Comment 6 Jan Kaluža 2015-07-20 11:57:12 UTC
This is already fixed in all supported Fedora versions.


Note You need to log in before you can comment on or make changes to this bug.